Upgrade from ubuntu 12 to ubuntu 16 and opsi 4.0.5 to 4.0.7

Radek
Beiträge: 6
Registriert: 28 Nov 2016, 17:05

Upgrade from ubuntu 12 to ubuntu 16 and opsi 4.0.5 to 4.0.7

Beitragvon Radek » 21 Sep 2017, 12:29

Hi,

I have beed trying to upgrade from ubuntu12 to ubuntu16 because I need newer version of opsi. I have mannaged to upgrade to ubuntu14 and opsi 4.0.7 with no problem, but if I upgrade to ubuntu 16 things start to get wierd... After launching configed.jnpl I a get error message that I haven't beent able to resolve by myselfe. https://imgur.com/a/7mIQO . Do you have any ideas what should I try ?

Thank you

Benutzeravatar
m.radtke
uib-Team
Beiträge: 730
Registriert: 10 Jun 2015, 12:19

Re: Upgrade from ubuntu 12 to ubuntu 16 and opsi 4.0.5 to 4.0.7

Beitragvon m.radtke » 22 Sep 2017, 13:31

Hi Radek,

did you also update your opsi packages after updating to Ubuntu 16.04?

Cheers
Mathias
Kein Support per DM!
_________________________
opsi support - http://www.uib.de/
For productive opsi installations we recommend support contracts.

Radek
Beiträge: 6
Registriert: 28 Nov 2016, 17:05

Re: Upgrade from ubuntu 12 to ubuntu 16 and opsi 4.0.5 to 4.0.7

Beitragvon Radek » 25 Sep 2017, 09:24

Hi,

I have tried following :
upgrade to ubuntu14 then opsi to 4.0.7 then to ubuntu 16
upgrade to ubuntu16 then opsi to 4.0.7
upgrade to ubuntu14 then opsi to 4.0.7 and that is where I am right now, it is working.

Don't know how but it is... If you have any ideas what should I try let me know, I will be more than happy to upgrade to ubuntu 16 with working opsi.

Thank you.

Benutzeravatar
m.radtke
uib-Team
Beiträge: 730
Registriert: 10 Jun 2015, 12:19

Re: Upgrade from ubuntu 12 to ubuntu 16 and opsi 4.0.5 to 4.0.7

Beitragvon m.radtke » 25 Sep 2017, 10:45

Hi
if you update to 16.04 please see getting started

Also, run the usual commands

Code: Alles auswählen

opsi-set-rights
opsi-setup --init-current-config


Cheers
Kein Support per DM!
_________________________
opsi support - http://www.uib.de/
For productive opsi installations we recommend support contracts.

Benutzeravatar
n.wenselowski
uib-Team
Beiträge: 3148
Registriert: 04 Apr 2013, 12:15

Re: Upgrade from ubuntu 12 to ubuntu 16 and opsi 4.0.5 to 4.0.7

Beitragvon n.wenselowski » 25 Sep 2017, 14:37

Hi,

Radek hat geschrieben:After launching configed.jnpl I a get error message that I haven't beent able to resolve by myselfe. https://imgur.com/a/7mIQO . Do you have any ideas what should I try ?

This could be a problem with TLS between opsi-configed and opsiconfd.
The currently suggested workaround is to force the usage of TLSv1 (the configed localboot product has a property to do so) or if you already have it installed you can also alter the start command to be like javaw -Dhttps.protocols=TLSv1.

To get access to configed you can use the configed-setup.exe.

Sorry for the inconvenience. We are working on solving this permanently.


Kind regards

Niko
opsi development - uib gmbh
For productive opsi installations we recommend support contracts.

Radek
Beiträge: 6
Registriert: 28 Nov 2016, 17:05

Re: Upgrade from ubuntu 12 to ubuntu 16 and opsi 4.0.5 to 4.0.7

Beitragvon Radek » 27 Sep 2017, 09:42

Hi,

Thank you for your time and suggestions. I am going to stick to opsi on ubuntu 14 for now, I dont have more time to spend on this.

Kind regards

Radek

Benutzeravatar
ueluekmen
uib-Team
Beiträge: 1891
Registriert: 28 Mai 2008, 10:53

Re: Upgrade from ubuntu 12 to ubuntu 16 and opsi 4.0.5 to 4.0.7

Beitragvon ueluekmen » 02 Okt 2017, 10:09

Hi,

this is possible, but notice, that you cannot start opsi-configed on Ubuntu 14.04 directly, because 14.04 has Java 7. opsi-Configed needs Java 8 to run. If you don't start opsi-configed directly on your server, than you can stay on 14.04 until its end of support.
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.
http://www.uib.de